io.vertx.ext.sql

## Interface SQLRowStream

- All Superinterfaces:
    ReadStream<JsonArray>, StreamBase

      public interface SQLRowStream
      extends ReadStream<JsonArray>

  A ReadStream of Rows from the underlying RDBMS. This class follows the ReadStream semantics and will automatically close the underlying resources if all returned rows are returned. For cases where the results are ignored before the full processing of the returned rows is complete the close method **MUST** be called in order to release underlying resources. The interface is minimal in order to support all SQL clients not just JDBC.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the stream/underlying cursor(s).
    `void` | `close(Handler<AsyncResult<Void>> handler)` Closes the stream/underlying cursor(s).
    `int` | `column(String name)` Will convert the column name to the json array index.
    `void` | `moreResults()` Request for more results if available
    `SQLRowStream` | `resultSetClosedHandler(Handler<Void> handler)` Event handler when a resultset is closed.

    - ### Methods inherited from interface io.vertx.core.streams.ReadStream

      `endHandler, exceptionHandler, handler, pause, resume`

- - ### Method Detail

    - #### column

          int column(String name)

      Will convert the column name to the json array index.
      Parameters:
        `name` - the column name
      Returns:
        the json array index

    - #### resultSetClosedHandler

          SQLRowStream resultSetClosedHandler(Handler<Void> handler)

      Event handler when a resultset is closed. This is useful to request for more results.
      Parameters:
        `handler` -

    - #### moreResults

          void moreResults()

      Request for more results if available

    - #### close

          void close()

      Closes the stream/underlying cursor(s). The actual close happens asynchronously.

    - #### close

          void close(Handler<AsyncResult<Void>> handler)

      Closes the stream/underlying cursor(s). The actual close happens asynchronously.
      Parameters:
        `handler` - called when the stream/underlying cursor(s) is(are) closed

Copyright © 2017. All rights reserved.